/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: GridDialog.cpp,v 2.3 2000/07/23 20:36:43 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Dlgedit generated file ---

	File: GridDialog.cpp
	Last generated: Wed Oct 29 09:39:22 1997

 *********************************************************************/

/*
 * reworked code for the grid dialog,
 * Mirko Sucker, October 29, 
 * 1997
 * implementation
 */


#include "GridDialog.h"
#include <qstring.h>
 #include <qtooltip.h>


#define Inherited GridDialogData

GridDialog::GridDialog
(
 QWidget* parent,
 const char* name,
 int currentGrid
 )
  :
  Inherited( parent, name),
  grid(currentGrid)
{
  // entries in the combobox - add anything you like
  // maybe 50 and 100 are much to huge - who knows?
  static const int entries[] 
    = { 5, 10, 20, 50, 100 };
  unsigned int temp;
  // some dialog settings
  QString aString;
  setCaption( tr( "Grid" ) );
  // wonder why dialogs are not fixed by default
  setFixedSize(280, 110); 
  // add the entries to the combobox
  for(temp=0; temp<(sizeof(entries)/sizeof(int)); temp++)
    {
      aString.setNum(entries[temp]);
      gridCombo->insertItem(aString);
    }
  if(grid>1) // grid previously enabled?
    {
      enableBox->setChecked(TRUE);
      gridCombo->setEnabled(TRUE);
      // grid should only have values that are elements of gridCombo!
      // (that means do only add values in the "entries" array, 
      // see before)
      // here we determine the index of the current grid in the combobox
      for(temp=0; temp<(sizeof(entries)/sizeof(int)); temp++)
	{
	  if(entries[temp]==grid)
	    {
	      gridCombo->setCurrentItem(temp);
	      break;
	    }
	}
    } else {
      enableBox->setChecked(FALSE);
      gridCombo->setEnabled(FALSE);
    }
  // connections
  connect(enableBox, SIGNAL(toggled(bool)), 
	  gridCombo, SLOT(setEnabled(bool)));
  connect(okButton, SIGNAL(clicked()), SLOT(OKFunc()));
  // add some tooltips
  QToolTip::add(canButton, tr( "abandon changes" ));
  QToolTip::add(okButton, tr( "accept changes" ));
  QToolTip::add(enableBox, tr( "enable or disable grid" ));
  QToolTip::add(gridCombo, tr( "select grid resolution" ));
}

GridDialog::~GridDialog()
{
  // destructor remains empty
}

// ####################################################
// no changes made by me below thie line --Mirko.
void GridDialog::OKFunc()
{
  if( enableBox->isChecked() )
    {
      QString aString( gridCombo->currentText() );
      grid = aString.toInt();
    }	else
      {
	grid = 1;
      }

  accept();
}

int GridDialog::GetNewGrid()
{
  return grid;
}
