/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: I18NPrefPage.cpp,v 2.3 2000/07/23 20:36:43 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: I18NPrefPage.cpp
	Last generated: Tue Sep 7 21:54:06 1999

 *********************************************************************/

#include "I18NPrefPage.h"

#include <qfiledialog.h>

#define Inherited I18NPrefPageData

I18NPrefPage::I18NPrefPage
(
    AppConfig&  theAppConfig,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    QString trfile = theAppConfig.readEntry( "TRFile", "" );
    
    isI18NUsed->setChecked( !trfile.isEmpty() );
    i18nFilename->setText( trfile );
    
    isI18NDefault->setChecked( theAppConfig.readEntry( "TRDefault", 0L ) != 0 );

    isI18NUsedClicked();
}


I18NPrefPage::~I18NPrefPage()
{
}


void I18NPrefPage::apply(
    AppConfig&	theAppConfig
    )
{
    QString trfile;
    if( isI18NUsed->isChecked() )
    {
        trfile = i18nFilename->text();
    }
    
    theAppConfig.writeEntry( "TRFile", trfile );

    long trDefault = 0;
    if( isI18NDefault->isChecked() )
    {
        trDefault = 1;
    }
    
    theAppConfig.writeEntry( "TRDefault", trDefault );
}


void I18NPrefPage::chooseClicked()
{
    QString trfile = QFileDialog::getOpenFileName( i18nFilename->text(),
                                                   "*.qm" );
    
    if( !trfile.isEmpty() )
    {
        i18nFilename->setText( trfile );
    }
}


void I18NPrefPage::isI18NUsedClicked()
{
    bool useI18N = isI18NUsed->isChecked();
    
    i18nFilenameLabel->setEnabled( useI18N );
    i18nFilename->setEnabled( useI18N );
    i18nFilenameChoose->setEnabled( useI18N );
}
