/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ModulesPrefPage.cpp,v 2.3 2000/07/23 20:36:43 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: ModulesPrefPage.cpp
	Last generated: Tue Jan 26 21:28:02 1999

 *********************************************************************/

#include <qfiledialog.h>
#include <qstring.h>
#include <qstrlist.h>

#include "ModulesPrefPage.h"

#define Inherited ModulesPrefPageData

ModulesPrefPage::ModulesPrefPage
(
    AppConfig&	theAppConfig,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    theAppConfig.setCurrentPath( "/" );
    long qappModule = theAppConfig.readEntry( "QAppModule", (long)-1 );

    theAppConfig.setCurrentPath( "WidgetModules" );
    BaseConfig::Enumerator* moduleEnum = theAppConfig.enumEntries();

    for( unsigned int i = 0; i < moduleEnum->Count(); ++i )
    {
	const char* item = theAppConfig.readEntry( (*moduleEnum)[i] );

	QCheckListItem* checkItem = 
	    new QCheckListItem( myModuleList, 
				item, 
				QCheckListItem::CheckBox );

	if( qappModule == (int)i )
	{
	    checkItem->setOn( TRUE );
	}
    }

    delete moduleEnum;

    theAppConfig.setCurrentPath( "/" );

    updateScreen();
}


ModulesPrefPage::~ModulesPrefPage()
{
}


void ModulesPrefPage::apply(
    AppConfig&	theAppConfig
    )
{
    theAppConfig.setCurrentPath( "WidgetModules" );
    
    BaseConfig::Enumerator* moduleEnum = theAppConfig.enumEntries();

    unsigned int i = 0;
    for( i = 0; i < moduleEnum->Count(); ++i )
    {
	theAppConfig.deleteEntry( (*moduleEnum)[i] );
    }

    delete moduleEnum;

    theAppConfig.setCurrentPath( "WidgetModules" );

    QString str;
    QCheckListItem* item = 0;
    long qappModule = -1;
    for( item = static_cast<QCheckListItem*>(myModuleList->firstChild()), 
	     i = 0; 
	 item;
	 item = static_cast<QCheckListItem*>(item->nextSibling()), ++i )
    {
	theAppConfig.writeEntry( str.setNum( i ), item->text( 0 ) );

	// Only take the first checked module
	if( (qappModule == -1) && item->isOn() )
	{
	    qappModule = i;
	}
    }
    
    theAppConfig.setCurrentPath( "/" );

    if( qappModule == -1 )
    {
	theAppConfig.deleteEntry( "QAppModule" );
    }
    else
    {
	theAppConfig.writeEntry( "QAppModule", qappModule );
    }
}


void ModulesPrefPage::addModule()
{
    QString filename = QFileDialog::getOpenFileName();
    if( !filename.isEmpty() )
    {
	(void ) new QCheckListItem( myModuleList,
				    filename,
				    QCheckListItem::CheckBox );
    }

    updateScreen();
}


void ModulesPrefPage::updateModule()
{
    QListViewItem* currentItem = myModuleList->currentItem();

    QString filename = 
	QFileDialog::getOpenFileName( currentItem->text( 0 ) );
    
    if( !filename.isEmpty() )
    {
	currentItem->setText( 0, filename );
    }

    updateScreen();
}


void ModulesPrefPage::removeModule()
{
    delete myModuleList->currentItem();

    updateScreen();
}


void ModulesPrefPage::updateScreen()
{
    bool itemsPresent = (myModuleList->childCount() > 0 );
    
    myUpdateModuleButton->setEnabled( itemsPresent );
    myRemoveModuleButton->setEnabled( itemsPresent );
}

