/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: PreferencesDialog.h,v 2.2 2000/07/23 20:36:43 jeffharris Exp $

*******************************************************************************/


#ifndef PreferencesDialog_Included
#define PreferencesDialog_Included

#include <qtabdialog.h>

#include "appconf.h"

class PreferencesDialog : public QTabDialog
{
    Q_OBJECT

public:

    PreferencesDialog(
	QWidget*	theParent
	);
    // Constructor

    virtual ~PreferencesDialog();
    // Destructor
    

signals:

    void apply(
	AppConfig&	theAppConfig
	);
    // Apply the changes made to the configuration

private slots:

    void apply();
    // The Ok or Apply button was pressed
};


#endif // PreferencesDialog_Included
