/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: StylePrefPage.cpp,v 2.6 2000/07/23 20:36:43 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: StylePrefPage.cpp
	Last generated: Tue Sep 7 21:54:06 1999

 *********************************************************************/

#include "GuiTools.h"
#include "ProjectWnd.h"
#include "StylePrefPage.h"

#define Inherited StylePrefPageData

StylePrefPage::StylePrefPage
(
    AppConfig&  theAppConfig,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    myCurrentStyle = theAppConfig.readEntry( "WidgetStyle",
                                             GuiTools::platinumStyle );

    if( myCurrentStyle == GuiTools::platinumStyle )
    {
        isPlatinumStyle->setChecked( TRUE );
    }
    else if( myCurrentStyle == GuiTools::cdeStyle )
    {
        isCDEStyle->setChecked( TRUE );
    }
    else if( myCurrentStyle == GuiTools::motifStyle )
    {
        isMotifStyle->setChecked( TRUE );
    }
    else if( myCurrentStyle == GuiTools::windowsStyle )
    {
        isWindowsStyle->setChecked( TRUE );
    }

    itsSourceFileSuffix->setText( ProjectWnd::GetSourceFileSuffix() );
    itsHeaderFileSuffix->setText( ProjectWnd::GetHeaderFileSuffix() );
}


StylePrefPage::~StylePrefPage()
{
}


void StylePrefPage::apply(
    AppConfig&	theAppConfig
    )
{
    QString style = GuiTools::platinumStyle;
    if( isPlatinumStyle->isChecked() )
    {
        style = GuiTools::platinumStyle;
    }
    else if( isCDEStyle->isChecked() )
    {
        style = GuiTools::cdeStyle;
    }
    else if( isMotifStyle->isChecked() )
    {
        style = GuiTools::motifStyle;
    }
    else if( isWindowsStyle->isChecked() )
    {
        style = GuiTools::windowsStyle;
    }

    if( style != myCurrentStyle )
    {
        myCurrentStyle = style;
        GuiTools::SetStyle( myCurrentStyle );
    }

    theAppConfig.writeEntry( "WidgetStyle", style );

    ProjectWnd::SetSourceFileSuffix( itsSourceFileSuffix->text() );
    ProjectWnd::SetHeaderFileSuffix( itsHeaderFileSuffix->text() );
}
