/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KLedPropPage.cpp,v 2.2 2000/07/23 20:37:44 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KLedPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKLed.h"
#include "KLedPropPage.h"

#define Inherited KLedPropPageData

KLedPropPage::KLedPropPage
(
    DlgKLed* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    const KLed* led = widget->GetKLed();
    
    switch( led->getState() )
    {
	case KLed::On:
	{
	    isStateOn->setChecked( TRUE );
	    break;
	}
	case KLed::Off:
	{
	    isStateOff->setChecked( TRUE );
	    break;
	}
    }
    
    switch( led->getColor() )
    {
	case KLed::yellow:
	{
	    isColorYellow->setChecked( TRUE );
	    break;
	}
	case KLed::orange:
	{
	    isColorOrange->setChecked( TRUE );
	    break;
	}
	case KLed::red:
	{
	    isColorRed->setChecked( TRUE );
	    break;
	}
	case KLed::green:
	{
	    isColorGreen->setChecked( TRUE );
	    break;
	}
	case KLed::blue:
	{
	    isColorBlue->setChecked( TRUE );
	    break;
	}
    }
    
    switch( led->getLook() )
    {
	case KLed::flat:
	{
	    isLookFlat->setChecked( TRUE );
	    break;
	}
	case KLed::round:
	{
	    isLookRound->setChecked( TRUE );
	    break;
	}
	case KLed::sunken:
	{
	    isLookSunken->setChecked( TRUE );
	    break;
	}
    }
}


KLedPropPage::~KLedPropPage()
{
}


void KLedPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKLed* widget = static_cast<DlgKLed*>(theWidget);
    KLed* led = widget->GetKLed();
    
    KLed::State state = KLed::On;
    if( isStateOn->isChecked() )
    {
	state = KLed::On;
    }
    else if( isStateOff->isChecked() )
    {
	state = KLed::Off;
    }
    
    led->setState( state );
    
    KLed::Color color = KLed::yellow;
    if( isColorYellow->isChecked() )
    {
	color = KLed::yellow;
    }
    else if( isColorOrange->isChecked() )
    {
	color = KLed::orange;
    }
    else if( isColorRed->isChecked() )
    {
	color = KLed::red;
    }
    else if( isColorGreen->isChecked() )
    {
	color = KLed::green;
    }
    else if( isColorBlue->isChecked() )
    {
	color = KLed::blue;
    }
    
    led->setColor( color );
    
    KLed::Look look = KLed::flat;
    if( isLookFlat->isChecked() )
    {
	look = KLed::flat;
    }
    else if( isLookRound->isChecked() )
    {
	look = KLed::round;
    }
    else if( isLookSunken->isChecked() )
    {
	look = KLed::sunken;
    }

    led->setLook( look );
}


