/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KProgressPropPage.cpp,v 2.2 2000/07/23 20:37:44 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KProgressPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKProgress.h"
#include "KProgressPropPage.h"

#define Inherited KProgressPropPageData

KProgressPropPage::KProgressPropPage
(
    DlgKProgress* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    const KProgress* progress = widget->GetKProgress();
    
    switch( progress->barStyle() )
    {
	case KProgress::Solid:
	{
	    isStyleSolid->setChecked( TRUE );
	    break;
	}
	case KProgress::Blocked:
	{
	    isStyleBlocked->setChecked( TRUE );
	    break;
	}
    }
    
    switch( progress->orientation() )
    {
	case KProgress::Horizontal:
	{
	    isHorizontal->setChecked( TRUE );
	    break;
	}
	case KProgress::Vertical:
	{
	    isVertical->setChecked( TRUE );
	    break;
	}
    }
    
    myBarColor->setColor( progress->barColor() );
    isTextEnabled->setChecked( progress->textEnabled() );
    
    QString str;
    
    myValue->setText( str.setNum( progress->value() ) );
    myLineStep->setText( str.setNum( progress->lineStep() ) );
    myPageStep->setText( str.setNum( progress->pageStep() ) );
    myMin->setText( str.setNum( progress->minValue() ) );
    myMax->setText( str.setNum( progress->maxValue() ) );
}


KProgressPropPage::~KProgressPropPage()
{
}


void KProgressPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKProgress* widget = static_cast<DlgKProgress*>(theWidget);	
    KProgress* progress = widget->GetKProgress();
    
    KProgress::BarStyle barStyle = KProgress::Solid;
    if( isStyleSolid->isChecked() )
    {
	barStyle = KProgress::Solid;
    }
    else if( isStyleBlocked->isChecked() )
    {
	barStyle = KProgress::Blocked;
    }
    progress->setBarStyle( barStyle );
    
    KProgress::Orientation orient = KProgress::Horizontal;
    if( isHorizontal->isChecked() )
    {
	orient = KProgress::Horizontal;
    }
    else if( isVertical->isChecked() )
    {
	orient = KProgress::Vertical;
    }
    progress->setOrientation( orient );
    
    progress->setBarColor( myBarColor->color() );
    progress->setTextEnabled( isTextEnabled->isChecked() );
    
    QString str, str1;

    str = myValue->text();
    progress->setValue( str.toInt() );
    
    str = myLineStep->text();
    str1 = myPageStep->text();
    progress->setSteps( str.toInt(), str1.toInt() );
    
    str = myMin->text();
    str1 = myMax->text();
    progress->setRange( str.toInt(), str1.toInt() );
}


