/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KTreeListPropPage.cpp,v 2.2 2000/07/23 20:37:44 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KTreeListPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKTreeList.h"
#include "KTreeListPropPage.h"

#define Inherited KTreeListPropPageData

KTreeListPropPage::KTreeListPropPage
(
    DlgKTreeList* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{	
    KTreeList* treeList = widget->GetKTreeList();
    
    isScrollBar->setChecked( treeList->scrollBar() );
    isBottomScrollBar->setChecked( treeList->bottomScrollBar() );
    isTreeDrawing->setChecked( treeList->treeDrawing() );
    isAutoUpdate->setChecked( treeList->autoUpdate() );
    isSmoothScrolling->setChecked( treeList->smoothScrolling() );
    
    myIndentSpacing->setValue( treeList->indentSpacing() );
}


KTreeListPropPage::~KTreeListPropPage()
{
}


void KTreeListPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKTreeList* widget = static_cast<DlgKTreeList*>(theWidget);
    KTreeList* treeList = widget->GetKTreeList();
    
    treeList->setScrollBar( isScrollBar->isChecked() );
    treeList->setBottomScrollBar( isBottomScrollBar->isChecked() );
    treeList->setTreeDrawing( isTreeDrawing->isChecked() );
    treeList->setAutoUpdate( isAutoUpdate->isChecked() );
    treeList->setSmoothScrolling( isSmoothScrolling->isChecked() );
    
    treeList->setIndentSpacing( myIndentSpacing->value() );
}


