/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ButtonPage.cpp,v 2.4 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#include <qbutton.h> 

#include "ButtonPage.h"

#include "widget/DlgWidget.h"

#define Inherited ButtonPageData

ButtonPage::ButtonPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


ButtonPage::~ButtonPage()
{
}


void ButtonPage::Apply( DlgWidget*	widget )
{
    QButton* button = (QButton*)widget->GetWidget();

    if( ! widget->UseBackgroundPixmap() )    
      button->setText( itsText->text() );
    button->setAutoRepeat( isAutoRepeat->isChecked() );
}

void ButtonPage::NewWidget( DlgWidget *widget )
{
    QButton* button = (QButton*)widget->GetWidget();
	
    itsText->setText( button->text() );
    isAutoRepeat->setChecked( button->autoRepeat() );
}
