/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ComboBoxPage.h,v 2.4 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#ifndef ComboBoxPage_included
#define ComboBoxPage_included

#include "ComboBoxPageData.h"

class DlgWidget;

class ComboBoxPage : public ComboBoxPageData
{
    Q_OBJECT

public:

    ComboBoxPage
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~ComboBoxPage();

public slots:

    void Apply( DlgWidget*	widget );
    // apply changes to the widget

    void NewWidget( DlgWidget*	widget );
    // Change data according given widget

private slots:

    void NewClicked();
    void ChangeClicked();
    void DeleteClicked();
    void ListSelChanged( int item );
    void NewItemChanged( const QString& );
    void StyleChanged( int );

private:

    void Update( void );

};
#endif // ComboBoxPage_included
