/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DialPage.cpp,v 2.3 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/

#include <qdial.h>
#include <qstring.h>

#include "DialPage.h"

#include "widget/DlgWidget.h"

#define Inherited DialPageData

DialPage::DialPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


DialPage::~DialPage()
{
}


void DialPage::Apply( DlgWidget*	widget )
{
    QDial* dial = (QDial*)widget->GetWidget();
    
    dial->setRange( itsMinValue->text().toInt(), itsMaxValue->text().toInt() );
    dial->setSteps( itsLineStep->text().toInt(), itsPageStep->text().toInt() );
    dial->setValue( itsInitialValue->text().toInt() );
    dial->setNotchTarget( itsNotchTarget->text().toDouble() );
    
    dial->setTracking( isTracking->isChecked() );
    dial->setWrapping( isWrapping->isChecked() );
    dial->setShowNotches( isShowNotches->isChecked() );
}

void DialPage::NewWidget( DlgWidget *widget )
{
      const QDial* dial = (const QDial*)widget->GetWidget();
    
    QString str;
    itsMinValue->setText( str.setNum( dial->minValue() ) );
    itsMaxValue->setText( str.setNum( dial->maxValue() ) );
    itsLineStep->setText( str.setNum( dial->lineStep() ) );
    itsPageStep->setText( str.setNum( dial->pageStep() ) );
    itsInitialValue->setText( str.setNum( dial->value() ) );
    itsNotchTarget->setText( str.setNum( dial->notchTarget() ) );
    
    isTracking->setChecked( dial->tracking() );
    isWrapping->setChecked( dial->wrapping() );
    isShowNotches->setChecked( ((QDial*)dial)->showNotches() );

}
