/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DialogGeometryPage.cpp,v 2.3 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Dlgedit generated file ---

	File: DialogGeometryPage.cpp
	Last generated: Tue Oct 28 21:01:57 1997

 *********************************************************************/

#include <qstring.h>

#include "DialogGeometryPage.h"

#include "Dialog.h"

#define Inherited DialogGeometryPageData

DialogGeometryPage::DialogGeometryPage
(
    Dialog*	dialog,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    QString str;

    const QPoint& pos = dialog->GetWindowPos();
    itsXPos->setText( str.setNum( pos.x() ) );
    itsYPos->setText( str.setNum( pos.y() ) );
    
    QSize size = dialog->GetWindowSize();
    itsWidth->setText( str.setNum( size.width() ) );
    itsHeight->setText( str.setNum( size.height() ) );
    
    const QSize& minSize = dialog->GetWindowMinSize();
    itsMinWidth->setText( str.setNum( minSize.width() ) );
    itsMinHeight->setText( str.setNum( minSize.height() ) );
    
    const QSize& maxSize = dialog->GetWindowMaxSize();
    itsMaxWidth->setText( str.setNum( maxSize.width() ) );
    itsMaxHeight->setText( str.setNum( maxSize.height() ) );
}


DialogGeometryPage::~DialogGeometryPage()
{
}


void DialogGeometryPage::Apply( Dialog*	dialog )
{
    QString str = itsXPos->text();
    QString str1 = itsYPos->text();
    dialog->SetWindowPos( QPoint( str.toInt(), str1.toInt() ) );
    
    str = itsWidth->text();
    str1 = itsHeight->text();
    dialog->SetWindowSize( QSize( str.toInt(), str1.toInt() ) );
    
    str = itsMinWidth->text();
    str1 = itsMinHeight->text();
    dialog->SetWindowMinSize( QSize( str.toInt(), str1.toInt() ) );
    
    str = itsMaxWidth->text();
    str1 = itsMaxHeight->text();
    dialog->SetWindowMaxSize( QSize( str.toInt(), str1.toInt() ) );
}


void DialogGeometryPage::SetFixedSize()
{
    itsMinWidth->setText( itsWidth->text() );
    itsMaxWidth->setText( itsWidth->text() );

    itsMinHeight->setText( itsHeight->text() );
    itsMaxHeight->setText( itsHeight->text() );
}
 

void DialogGeometryPage::SetVariableSize()
{
    QString str;

    itsMinWidth->setText( str.setNum( 0 ) );
    itsMinHeight->setText( str );
    
    itsMaxWidth->setText( str.setNum( QWIDGETSIZE_MAX ) );
    itsMaxHeight->setText( str );
}
