/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DialogPropDialog.cpp,v 2.4 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#include "DialogPropDialog.h"

#include "Dialog.h"
#include "WidgetLayout.h"

#define Inherited DialogPropDialogData

DialogPropDialog::DialogPropDialog
(
    Dialog* dialog,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name ),
    itsBasePage( dialog, this, "BasePage" ),
    itsGenPage( dialog, this, "GenPage" ),
    itsWindowPage( dialog, this, "WindowPage" ),
    itsGeometryPage( dialog, this, "GeometryPage" ),
    itsDialog( dialog )
{
    setCaption( tr( "Window Properties" ) );

    addTab( &itsBasePage, tr( "Base class" ) );
    addTab( &itsGenPage, tr( "File Generation" ) );
    addTab( &itsWindowPage, tr( "Window" ) );
    addTab( &itsGeometryPage, tr( "Geometry" ) );
    
    setCancelButton();
    
    connect( this, SIGNAL(applyButtonPressed()), SLOT(Apply()) );

    resize( sizeHint() );
}


DialogPropDialog::~DialogPropDialog()
{
}


void DialogPropDialog::Apply()
{
    itsBasePage.Apply( itsDialog );
    itsGenPage.Apply( itsDialog );
    itsWindowPage.Apply( itsDialog );
    itsGeometryPage.Apply( itsDialog );
}
