/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DialogPropDialog.h,v 2.2 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#ifndef DialogPropDialog_included
#define DialogPropDialog_included

#include "prop/DialogBasePage.h"
#include "prop/DialogGenPage.h"
#include "prop/DialogGeometryPage.h"
#include "prop/DialogWindowPage.h"

#include "DialogPropDialogData.h"

#include "WidgetLayout.h"

class Dialog;

class DialogPropDialog : public DialogPropDialogData
{
    Q_OBJECT

public:

    DialogPropDialog
    (
     Dialog* dialog,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~DialogPropDialog();

private slots:

    void Apply();

private:

    DialogBasePage	itsBasePage;
    DialogGenPage	itsGenPage;
    DialogWindowPage	itsWindowPage;
    DialogGeometryPage	itsGeometryPage;

    Dialog*	itsDialog;

};
#endif // DialogPropDialog_included
