/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: GridPage.cpp,v 2.4 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: GridPage.cpp
	Last generated: Wed Sep 1 22:40:14 1999

 *********************************************************************/

#include "GridPage.h"

#include "widget/DlgGrid.h"

#define Inherited GridPageData

GridPage::GridPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


GridPage::~GridPage()
{
}


void GridPage::Apply( DlgWidget* widget )
{
    DlgGrid* grid = static_cast<DlgGrid*>(widget);
    
    QGrid::Direction dir = QGrid::Horizontal;
    if( isHorizontal->isChecked() )
    {
        dir = QGrid::Horizontal;
    }
    else if( isVertical->isChecked() )
    {
        dir = QGrid::Vertical;
    }
    
    grid->SetDirection( dir );
    
    grid->SetNumRowsCols( myNumRowsCols->text().toInt() );
    grid->SetSpacing( mySpacing->text().toInt() );
}

void GridPage::NewWidget( DlgWidget *widget )
{
      const DlgGrid* grid = static_cast<DlgGrid*>(widget);
    
    switch( grid->GetDirection() )
    {
        case QGrid::Horizontal:
        {
            isHorizontal->setChecked( TRUE );
            break;
        }
        case QGrid::Vertical:
        {
            isVertical->setChecked( TRUE );
            break;
        }
    }
    
    QString str;
    myNumRowsCols->setText( str.setNum( grid->GetNumRowsCols() ) );
    mySpacing->setText( str.setNum( grid->GetSpacing() ) );

}
