/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ListViewColumnPage.h,v 2.3 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: ListViewColumnPage.h
	Last generated: Sun Aug 23 18:04:56 1998

 *********************************************************************/

#ifndef ListViewColumnPage_included
#define ListViewColumnPage_included

#include "ListViewColumnPageData.h"

class DlgWidget;

class ListViewColumnPage : public ListViewColumnPageData
{
    Q_OBJECT

public:

    ListViewColumnPage
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~ListViewColumnPage();

public slots:

    void Apply(
	DlgWidget*	theWidget
	);
    // Apply changes to the widget

    void NewWidget( DlgWidget*	widget );
    // Change data according given widget

protected slots:

    virtual void updateColumn();
    virtual void addColumn();
    virtual void removeColumn();

    virtual void columnSelected(QListViewItem*);

private:

    enum ListViewColumnTypes
    {
	Column_Number,
	Column_Label,
	Column_Width,
	Column_WidthMode,
	Column_Alignment
    };
    

private:

    void updateScreen();
    void renumberColumns();
};


#endif // ListViewColumnPage_included
