/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ProgressBarPage.cpp,v 2.4 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#include <qprogbar.h>

#include "ProgressBarPage.h"

#include "widget/DlgWidget.h"

#define Inherited ProgressBarPageData

ProgressBarPage::ProgressBarPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


ProgressBarPage::~ProgressBarPage()
{
}


void ProgressBarPage::Apply( DlgWidget*	widget )
{
    QProgressBar* progbar = (QProgressBar*) widget->GetWidget();
    
    QString str = itsNumSteps->text();
    progbar->setTotalSteps( str.toInt() );
    
    str = itsProgressStep->text();
    progbar->setProgress( str.toInt() );

    if( isIndicatorFollowsStyle->isChecked() )
    {
        progbar->setIndicatorFollowsStyle( TRUE );
    }
    else if( isIndicatorCentered->isChecked() )
    {
        progbar->setCenterIndicator( TRUE );
    }
    else if( isIndicatorOutside->isChecked() )
    {
        progbar->setCenterIndicator( FALSE );
    }
}

void ProgressBarPage::NewWidget( DlgWidget *widget )
{
    const QProgressBar* progbar = (const QProgressBar*) widget->GetWidget();
    
    QString num;
    
    itsNumSteps->setText( num.setNum( progbar->totalSteps() ) );
    itsProgressStep->setText( num.setNum( progbar->progress() ) );

    if( progbar->indicatorFollowsStyle() )
    {
        isIndicatorFollowsStyle->setChecked( TRUE );
    }
    else if( progbar->centerIndicator() )
    {
        isIndicatorCentered->setChecked( TRUE );
    }
    else
    {
        isIndicatorOutside->setChecked( TRUE );
    }
}
