/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: PushButtonPage.cpp,v 2.5 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#include <qpushbt.h> 

#include "PushButtonPage.h"

#include "widget/DlgPushButton.h"

#define Inherited PushButtonPageData

PushButtonPage::PushButtonPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


PushButtonPage::~PushButtonPage()
{
}


void PushButtonPage::Apply( DlgWidget*	widget )
{
    DlgPushButton* dlgButton = (DlgPushButton*)widget;
    QPushButton* button = (QPushButton*)widget->GetWidget();

    if( ! widget->UseBackgroundPixmap() )
      button->setText( itsText->text() );
    button->setAutoRepeat( isAutoRepeat->isChecked() );
    button->setToggleButton( isToggleButton->isChecked() );
    dlgButton->SetIsDefault( isDefault->isChecked() );
    dlgButton->SetIsAutoDefault( isAutoDefault->isChecked() );
}

void PushButtonPage::NewWidget( DlgWidget *widget )
{
    const DlgPushButton* dlgButton = (const DlgPushButton*)widget;
    const QPushButton* button = (const QPushButton*)widget->GetWidget();
	
    itsText->setText( button->text() );
    isAutoRepeat->setChecked( button->autoRepeat() );
    isToggleButton->setChecked( button->isToggleButton() );
    isDefault->setChecked( dlgButton->IsDefault() );
    isAutoDefault->setChecked( dlgButton->IsAutoDefault() );
}
