/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ScrollViewPage.cpp,v 2.6 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: ScrollViewPage.cpp
	Last generated: Sat Aug 15 22:59:51 1998

 *********************************************************************/

#include <qscrollview.h>

#include "ScrollViewPage.h"

#include "widget/DlgWidget.h"

#define Inherited ScrollViewPageData

ScrollViewPage::ScrollViewPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


ScrollViewPage::~ScrollViewPage()
{
}


void ScrollViewPage::Apply(
    DlgWidget*	theWidget
    )
{
    QScrollView* scrollView = static_cast<QScrollView*> 
	(theWidget->GetWidget());
    
    QScrollView::ResizePolicy policy;
    if( isResizeDefault->isChecked() )
    {
	policy = QScrollView::Default;
    }
    else if( isResizeManual->isChecked() )
    {
	policy = QScrollView::Manual;
    }
    else if( isResizeAutoOne->isChecked() )
    {
	policy = QScrollView::AutoOne;
    }
    
    scrollView->setResizePolicy( policy );
    
    QScrollView::ScrollBarMode mode;
    if( isVScrollAuto->isChecked() )
    {
	mode = QScrollView::Auto;
    }
    else if( isVScrollAlwaysOff->isChecked() )
    {
	mode = QScrollView::AlwaysOff;
    }
    else if( isVScrollAlwaysOn->isChecked() )
    {
	mode = QScrollView::AlwaysOn;
    }
    
    scrollView->setVScrollBarMode( mode );
    
    if( isHScrollAuto->isChecked() )
    {
	mode = QScrollView::Auto;
    }
    else if( isHScrollAlwaysOff->isChecked() )
    {
	mode = QScrollView::AlwaysOff;
    }
    else if( isHScrollAlwaysOn->isChecked() )
    {
	mode = QScrollView::AlwaysOn;
    }
    
    scrollView->setHScrollBarMode( mode );

    scrollView->setDragAutoScroll( isDragAutoScroll->isChecked() );
}

void ScrollViewPage::NewWidget( DlgWidget *widget )
{
    const QScrollView* scrollView = 
	static_cast<const QScrollView*> (widget->GetWidget());
    
    switch( scrollView->resizePolicy() )
    {
	case QScrollView::Default:
	{
	    isResizeDefault->setChecked( TRUE );
	    break;
	}
	case QScrollView::Manual:
	{
	    isResizeManual->setChecked( TRUE );
	    break;
	}
	case QScrollView::AutoOne:
	{
	    isResizeAutoOne->setChecked( TRUE );
	    break;
	}
    }

    switch( scrollView->vScrollBarMode() )
    {
	case QScrollView::Auto:
	{
	    isVScrollAuto->setChecked( TRUE );
	    break;
	}
	case QScrollView::AlwaysOff:
	{
	    isVScrollAlwaysOff->setChecked( TRUE );
	    break;
	}
	case QScrollView::AlwaysOn:
	{
	    isVScrollAlwaysOn->setChecked( TRUE );
	    break;
	}
    }

    switch( scrollView->hScrollBarMode() )
    {
	case QScrollView::Auto:
	{
	    isHScrollAuto->setChecked( TRUE );
	    break;
	}
	case QScrollView::AlwaysOff:
	{
	    isHScrollAlwaysOff->setChecked( TRUE );
	    break;
	}
	case QScrollView::AlwaysOn:
	{
	    isHScrollAlwaysOn->setChecked( TRUE );
	    break;
	}
    }

    isDragAutoScroll->setChecked( scrollView->dragAutoScroll() );
}
