/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: UserPage.cpp,v 2.3 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#include <qlabel.h>

#include "UserPage.h"

#include "widget/DlgUser.h"

#define Inherited UserPageData

UserPage::UserPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


UserPage::~UserPage()
{
}


void UserPage::Apply( DlgWidget*	widget )
{
    DlgUser* user = (DlgUser*) widget;
    QLabel* label = (QLabel*)widget->GetWidget();
    
    user->SetUserClassName( itsClassName->text() );
    label->setText( itsClassName->text() );

    user->SetUserClassHeader( itsHeaderFile->text() );
}

void UserPage::NewWidget( DlgWidget *widget )
{
    const DlgUser* user = (const DlgUser*) widget;
    
    itsClassName->setText( user->GetWidgetClass() );
    itsHeaderFile->setText( user->GetUserClassHeader() );
}

