/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: WidgetBitmapPage.cpp,v 2.4 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: WidgetBitmapPage.cpp
	Last generated: Sun Dec 28 13:35:28 1997

 *********************************************************************/
#include <qwidget.h> 
#include <qfiledlg.h> 

#include "widget/DlgWidget.h"

#include "WidgetBitmapPage.h"

#define Inherited WidgetBitmapPageData

WidgetBitmapPage::WidgetBitmapPage
(
  DlgWidget *widget,
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name )
{
	setCaption( "WidgetBitmap" );

  NewWidget( widget );
}


WidgetBitmapPage::~WidgetBitmapPage()
{
}

void WidgetBitmapPage::Apply( DlgWidget* widget )
{
	QWidget *qWidget = widget->GetWidget();

  widget->SetBackgroundData( useBitmap->isChecked(),
                             adjustSize->isChecked(),
                             addToProject->isChecked(),
                             accessAsFile->isChecked(),
                             dataVarName->text(),
                             dataLenName->text(),
                             itsBackgroundBitmap->text() );

  if( useBitmap->isChecked() )
  {
    // Get bitmap
    QPixmap pixmap( itsBackgroundBitmap->text() );

		if( qWidget->inherits( "QButton" ) )
			((QButton *)qWidget)->setPixmap( pixmap );
		else
			qWidget->setBackgroundPixmap( pixmap );


    if( adjustSize->isChecked() )
    {
      qWidget->setFixedSize( pixmap.size() );
    } else
    {
      qWidget->setMinimumSize( QSize( 0, 0 ) );
      qWidget->setMaximumSize( QSize( 32767, 32767 ) );
    }
  }
}

void WidgetBitmapPage::BrowseBitmap()
{
  itsBackgroundBitmap->setText( QFileDialog::getOpenFileName( "", "*.bmp", this ) );
}

void WidgetBitmapPage::UseBitmap( bool enable )
{
  itsBackgroundBitmap->setEnabled( enable );
  itsBrowseButton->setEnabled( enable );
  itsBitmapNameLabel->setEnabled( enable );
	addToProject->setEnabled( enable );
	adjustSize->setEnabled( enable );
	accessAsFile->setEnabled( enable );

  enable = enable && accessAsFile->isChecked();
	dataVarNameLabel->setEnabled( enable );
	dataVarName->setEnabled( enable );
	dataLenNameLabel->setEnabled( enable );
	dataLenName->setEnabled( enable );
}

void WidgetBitmapPage::LoadFromData( bool enable )
{
	dataVarNameLabel->setEnabled( enable );
	dataVarName->setEnabled( enable );
	dataLenNameLabel->setEnabled( enable );
	dataLenName->setEnabled( enable );
}

void WidgetBitmapPage::NewWidget( DlgWidget* widget )
{
    bool use, adjust, add, read;
  QString varName, lenName, fileName;
  widget->GetBackgroundData( use, adjust, add, read, varName, lenName, fileName );
  useBitmap->setChecked( use );
  adjustSize->setChecked( adjust );
  addToProject->setChecked( add );
  accessAsFile->setChecked( read );
  dataVarName->setText( varName );
  dataLenName->setText( lenName );
  itsBackgroundBitmap->setText( fileName );
  UseBitmap( use );
}
