/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: WidgetGeometryPage.cpp,v 2.4 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#include "WidgetGeometryPage.h"

#include "widget/DlgWidget.h"

#define Inherited WidgetGeometryPageData

WidgetGeometryPage::WidgetGeometryPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
  NewWidget( widget );
}


WidgetGeometryPage::~WidgetGeometryPage()
{
}

void WidgetGeometryPage::NewWidget( DlgWidget*	widget )
{
  QWidget* wid = widget->GetWidget();
  QString str;
    
  str.setNum( wid->x() );
  itsXPos->setText( str );
  str.setNum( wid->y() );
  itsYPos->setText( str );
  str.setNum( wid->width() );
  itsWidth->setText( str );
  str.setNum( wid->height() );
  itsHeight->setText( str );

  QSize size = wid->minimumSize();
  str.setNum( size.width() );
  itsMinWidth->setText( str );
  str.setNum( size.height() );
  itsMinHeight->setText( str );
    
  size = wid->maximumSize();
  str.setNum( size.width() );
  itsMaxWidth->setText( str );
  str.setNum( size.height() );
  itsMaxHeight->setText( str );
}
  
void WidgetGeometryPage::Apply( DlgWidget*	widget )
{
    QWidget* wid = widget->GetWidget();
    
    QString str,str1;
    
    str = itsXPos->text();
    str1 = itsYPos->text();
    wid->move( str.toInt(), str1.toInt() );
    
    str = itsWidth->text();
    str1 = itsHeight->text();
    wid->resize( str.toInt(), str1.toInt() );

    str = itsMinWidth->text();
    str1 = itsMinHeight->text();
    wid->setMinimumSize( str.toInt(), str1.toInt() );
    
    str = itsMaxWidth->text();
    str1 = itsMaxHeight->text();
    wid->setMaximumSize( str.toInt(), str1.toInt() );
}


void WidgetGeometryPage::SetFixedSize()
{
    itsMinWidth->setText( itsWidth->text() );
    itsMaxWidth->setText( itsWidth->text() );

    itsMinHeight->setText( itsHeight->text() );
    itsMaxHeight->setText( itsHeight->text() );
}
 

void WidgetGeometryPage::SetVariableSize()
{
    QString str;

    itsMinWidth->setText( str.setNum( 0 ) );
    itsMinHeight->setText( str );
    
    itsMaxWidth->setText( str.setNum( QWIDGETSIZE_MAX ) );
    itsMaxHeight->setText( str );
}


