/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: WidgetPropDialog.h,v 2.3 2000/07/23 20:37:45 jeffharris Exp $

*******************************************************************************/


#ifndef WidgetPropDialog_included
#define WidgetPropDialog_included

#include <qlistbox.h>

#include "widget/DlgWidget.h"

class WidgetVarMapPage;
class WidgetCommonPage;
class WidgetColorPage;
class WidgetGeometryPage;

#include "WidgetPropDialogData.h"

class WidgetPropDialog : public WidgetPropDialogData
{
    Q_OBJECT

public:

    WidgetPropDialog
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~WidgetPropDialog();

    void ChangeWidget( DlgWidget * );
    // Puts a new widget into the tab dialog
    
signals:

    void Apply( DlgWidget* );
  void NewWidget( DlgWidget* );

protected slots:

    virtual void Apply();
  virtual void accept();
  virtual void reject();

protected:

    DlgWidget*	itsDlgWidget;

private:
  void CreateWidgetPages();
    
private:

    WidgetVarMapPage*		itsVarMapPage;
    WidgetGeometryPage*		itsGeometryPage;
    WidgetCommonPage*		itsCommonPage;
    WidgetColorPage*		itsColorPage;

    QList<QWidget> pageList;

    
};


#endif // WidgetPropDialog_included
