/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DlgHButtonGroup.h,v 2.5 2000/07/23 20:38:01 jeffharris Exp $

*******************************************************************************/


#ifndef DlgHButtonGroup_included
#define DlgHButtonGroup_included

#include <qhbuttongroup.h>
#include <qstring.h>
#include <qstrlist.h>

#include "widget/DlgButtonGroup.h"

class DlgHButtonGroup : public DlgButtonGroup
{

public:

    DlgHButtonGroup();
    // Constructor

    virtual ~DlgHButtonGroup();
    // Destructor
    

    //
    // Saving and Loading Methods
    //

    virtual void Save( QtArchGenerator & );
    // save the contents of the widget

    virtual void RestoreXML( const XMLValue & );
    // Restore a XMLValue

    //
    // Code Generation Methods
    //

    virtual QString GetHeaderFilename() const;
    // return the header filename for the widget

    virtual QString GetWidgetClass() const;
    // return the class name for the widget

protected: // Methods

    DlgHButtonGroup(
	DlgWidget::Type	theType
	);
    // Constructor.  Used by a derived class' constructor.

    virtual void CreateQtWidget(
	const char*	theName
	);
    // Create and return the correct Qt widget for the specific type of
    // DlgWidget.


private: // Methods

    QHButtonGroup* GetHButtonGroup();
    // Get the Qt Widget as QHButtonGroup.

private: // static data

    static QStrList	itsSignals;
    // list of the signals that can be connected to this widget

    static int itsNextWidgetNum;
    // number of the next widget

    int mySpacing;
    // The spacing for the HButtonGroup
};

inline QString DlgHButtonGroup::GetHeaderFilename() const
{
    return "<qhbuttongroup.h>";
}

inline QString DlgHButtonGroup::GetWidgetClass() const
{
    return "QHButtonGroup";
}


inline QHButtonGroup* DlgHButtonGroup::GetHButtonGroup()
{
    return static_cast<QHButtonGroup*> (GetWidget());
}


#endif // DlgHButtonGroup_included
