/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DlgVButtonGroup.cpp,v 2.6 2000/07/23 20:38:01 jeffharris Exp $

*******************************************************************************/


#include "widget/DlgVButtonGroup.h"

#include "prop/ButtonGroupPage.h"

#include "GuiTools.h"

#include "xml/QtArchExpat.h"
#include "xml/QtArchGenerator.h"

#define Inherited DlgButtonGroup

QStrList DlgVButtonGroup::itsSignals;
int DlgVButtonGroup::itsNextWidgetNum = 1;

DlgVButtonGroup::DlgVButtonGroup() :
    Inherited( DlgWidget::DW_VButtonGroup ),
    mySpacing( 5 )
{
}


DlgVButtonGroup::DlgVButtonGroup(
    DlgWidget::Type	theType
    ) :
    Inherited( theType ),
    mySpacing( 5 )
{
}


DlgVButtonGroup::~DlgVButtonGroup()
{
}

void DlgVButtonGroup::Save( QtArchGenerator &generator )
{
  generator.WriteStartBlock( "VButtonGroup" );

  Inherited::Save( generator );

  generator.WriteEndBlock();
}

void DlgVButtonGroup::RestoreXML( const XMLValue &value )
{
  // Sanity check
  if( value.GetTypeString() != "VButtonGroup" )
    return;

  const XMLValueMap map = value.AsNested();

  // Create if necessary
  if( ! GetVButtonGroup() )
  {
    CreateQtWidget( 0 );
  }
  
  // We inherit from 
	Inherited::RestoreXML( map["ButtonGroup"] );

}


void DlgVButtonGroup::CreateQtWidget(
    const char*	theName
    )
{
    QVButtonGroup* widget = 
	new QVButtonGroup( GetParent(),
                   CreateName( "VButtonGroup", 
                               theName, 
                               itsNextWidgetNum ) );
    
    SetQtWidget( widget );
}
