/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-2000 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DlgVGroupBox.cpp,v 2.2 2000/07/23 20:38:01 jeffharris Exp $

*******************************************************************************/


#include "widget/DlgVGroupBox.h"

#include "prop/ButtonGroupPage.h"

#include "GuiTools.h"

#include "xml/QtArchExpat.h"
#include "xml/QtArchGenerator.h"

#define Inherited DlgGroupBox

QStrList DlgVGroupBox::itsSignals;
int DlgVGroupBox::itsNextWidgetNum = 1;

DlgVGroupBox::DlgVGroupBox() :
    Inherited( DlgWidget::DW_VGroupBox )
{
}


DlgVGroupBox::DlgVGroupBox(
    DlgWidget::Type	theType
    ) :
    Inherited( theType )
{
}


DlgVGroupBox::~DlgVGroupBox()
{
}

void DlgVGroupBox::Save( QtArchGenerator &generator )
{
  generator.WriteStartBlock( "VGroupBox" );

  Inherited::Save( generator );

  generator.WriteEndBlock();
}

void DlgVGroupBox::RestoreXML( const XMLValue &value )
{
    // Sanity check
    if( value.GetTypeString() != "VGroupBox" )
        return;

    const XMLValueMap map = value.AsNested();

    // Create if necessary
    if( ! GetVGroupBox() )
    {
        CreateQtWidget( 0 );
    }
  
    // We inherit from 
    Inherited::RestoreXML( map["GroupBox"] );

}


void DlgVGroupBox::CreateQtWidget(
    const char*	theName
    )
{
    QVGroupBox* widget = 
	new QVGroupBox( GetParent(),
                   CreateName( "VGroupBox", 
                               theName, 
                               itsNextWidgetNum ) );
    
    SetQtWidget( widget );
}
